> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Voice Call Tts

> Initiate a voice call that speaks the given text (text-to-speech).

Use this when you want the system to speak a message to the recipient.
The text is synthesized to speech when they answer.

Headers:
    X-API-Key: Required — Your API key for authentication.



## OpenAPI

````yaml /openapi.json post /v1/voice/calls/tts
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/voice/calls/tts:
    post:
      tags:
        - Karibu-Voice
      summary: Voice Call Tts
      description: |-
        Initiate a voice call that speaks the given text (text-to-speech).

        Use this when you want the system to speak a message to the recipient.
        The text is synthesized to speech when they answer.

        Headers:
            X-API-Key: Required — Your API key for authentication.
      operationId: voice_call_tts_v1_voice_calls_tts_post
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceCallTtsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VoiceCallTtsRequest:
      properties:
        receiver_number:
          type: string
          title: Receiver Number
          description: E.164 or national number to call (e.g. 255788344348).
          examples:
            - '255788344348'
        text:
          type: string
          minLength: 1
          title: Text
          description: Text to be spoken to the recipient (text-to-speech).
          examples:
            - Hello, this is a message from Briq.
      type: object
      required:
        - receiver_number
        - text
      title: VoiceCallTtsRequest
      description: >-
        Request to place a voice call that speaks the given text
        (text-to-speech).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````